summaryrefslogtreecommitdiffstats
path: root/shell/helm/helm-repo-init.sh
diff options
context:
space:
mode:
authorefiacor <fiachra.corcoran@est.tech>2022-12-01 14:52:39 +0000
committerefiacor <fiachra.corcoran@est.tech>2022-12-05 11:04:42 +0000
commit0d19d3bfb1d47d3dcd5fe5a6db3a8445c5a1007c (patch)
tree82e79679154900d9c17f5536fdff25ad671b01a1 /shell/helm/helm-repo-init.sh
parentd2caae62864c6fa0a1c6d7518811464dd6124d69 (diff)
[HELM] Clean up and fix oom helm jobs
Change-Id: I44c198e86f09f06d4ccd6e8b89c111ee49ebee2c Signed-off-by: efiacor <fiachra.corcoran@est.tech> Issue-ID: OOM-3065
Diffstat (limited to 'shell/helm/helm-repo-init.sh')
-rwxr-xr-xshell/helm/helm-repo-init.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/shell/helm/helm-repo-init.sh b/shell/helm/helm-repo-init.sh
new file mode 100755
index 000000000..f1ef7aaf3
--- /dev/null
+++ b/shell/helm/helm-repo-init.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+# Ensure we fail the job if any steps fail
+set -e -o pipefail
+
+mkdir -p ".chartstorage"
+
+chartmuseum --port=6464 --storage="local" --storage-local-rootdir=".chartstorage" &> /dev/null &
+$HELM_BIN plugin install --version v0.10.3 https://github.com/chartmuseum/helm-push.git || true
+$HELM_BIN repo add local http://localhost:6464
+$HELM_BIN repo add onap http://localhost:6464